# Method: projects.versions.list

- [HTTP request](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list#body.request_body)
- [Response body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list#body.response_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list#body.ListVersionsResponse.SCHEMA_REPRESENTATION)

Lists all versions and their current states.

### HTTP request

`GET https://actions.googleapis.com/v2/{parent=projects/*}/versions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the resource in the format `projects/{project}`. The `{project}` is the cloud project ID associated with the project. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of versions to return. The service may return fewer than this value. If unspecified, at most 50 versions will be returned. |
| `pageToken` | `string` A page token, received from a previous `versions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `versions.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
RPC response for listing versions

| JSON representation ||
|---|---|
| ``` { "versions": [ { object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/Version`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `versions[]` | ``object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/Version`)`` List of the versions for the given project id. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |